net.sf.saxon.query

## Class XQueryFunctionLibrary.UnresolvedCallable

- java.lang.Object
- - net.sf.saxon.query.XQueryFunctionLibrary.UnresolvedCallable

- All Implemented Interfaces:
    Callable, UserFunctionReference
  Enclosing class:
    XQueryFunctionLibrary

      public static class XQueryFunctionLibrary.UnresolvedCallable
      extends Object
      implements UserFunctionReference, Callable

  Inner class containing information about a reference to a function whose declaration has not yet been encountered. The references gets fixed up later, once information about all user-declared functions is available.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XQueryFunctionLibrary.UnresolvedCallable(StructuredQName name, int arity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Sequence` | `call(XPathContext context, Sequence[] arguments)` Evaluate the expression
    `int` | `getArity()`
    `UserFunction` | `getFunction()`
    `StructuredQName` | `getFunctionName()`
    `void` | `setFunction(UserFunction function)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XQueryFunctionLibrary.UnresolvedCallable

          public XQueryFunctionLibrary.UnresolvedCallable(StructuredQName name,
                                                  int arity)

  - ### Method Detail

    - #### getFunctionName

          public StructuredQName getFunctionName()

    - #### getArity

          public int getArity()

    - #### call

          public Sequence call(XPathContext context,
                      Sequence[] arguments)
                        throws XPathException

      Evaluate the expression
      Specified by:
        `call` in interface `Callable`
      Parameters:
        `context` - the dynamic evaluation context
        `arguments` - the values of the arguments, supplied as Sequences
      Returns:
        the result of the evaluation, in the form of a Sequence
      Throws:
        `XPathException` - if a dynamic error occurs during the evaluation of the expression

    - #### setFunction

          public void setFunction(UserFunction function)

      Specified by:
        `setFunction` in interface `UserFunctionReference`

    - #### getFunction

          public UserFunction getFunction()

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.